
from authlib.integrations.flask_client import OAuth
from flask import Flask

def create_oauth_client(app):
    # Initialize OAuth with Flask app
    oauth = OAuth(app)

    # Define the OAuth client for a hypothetical service
    oauth.register(
        name='hypothetical_service',
        client_id='YOUR_CLIENT_ID',
        client_secret='YOUR_CLIENT_SECRET',
        access_token_url='https://hypothetical-service.com/oauth/token',
        access_token_params=None,
        authorize_url='https://hypothetical-service.com/oauth/authorize',
        authorize_params=None,
        api_base_url='https://hypothetical-service.com/api',
        client_kwargs={'scope': 'profile email'}
    )

    return oauth



